Subject: Re: [rtcweb] Mirja Kühlewind's No Objection on draft-ietf-rtcweb-overview-18: (with COMMENT)

From: Sean Turner <[email-masked]>
Date: Tue, 16 May 2017 12:36:42 -0400

> On Apr 24, 2017, at 08:07, Mirja Kühlewind <[email-masked]> wrote:
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> One high level comments on normative language:
> While I think this document is very useful to explain the relationship
> between the other webrtc documents and serves a a good starting point for
> an implementor, I'm not sure if the use of normative language is actually
> helpful. Most of the language is used to say that a webrtc endpoint MUST
> implement a certain other document. However, I believe this is inherently
> necessary to achieve interoperability. So I don't see a need to specify
> this normatively.

I can see that but I also think that as a “treasure map” document pointing normatively could work, i.e., it’s a style thing.

> In regard to the shepherd write-up, I just want to note that using
> normative language does not automatically make the document Standards
> Track; there are many informational docs that use normative language. As
> such, I don't want raise a big discussion on status now, but this
> document sounds more informational to me (giving pointers to other
> document). However, I don't object to publication on Standards Track.

Addressed via Ben’s response.

> minor comments:
> 1) I would not need all the text on the history of Internet communication
> in this doc (especially all text on page 3 in the intro as well as
> section 2.3 and the second to last paragraph in 3)... however, I guess it
> doesn't hurt

It is wordy, but I think Harald’s just providing background for folks who might note be so in the know.

> 2) Agree with Warren that 'Protocol' probably doesn't need to be
> (re)defined in this doc

I waffled around with deleting, but since this is a comment I’m leaning towards just leaving it based on the principle that it doesn’t really do any harm leaving it in.

> 3) section 3: 
> "Data transport: TCP, UDP and the means to securely set up
>      connections between entities, as well as the functions for
>      deciding when to send data: Congestion management, bandwidth
>      estimation and so on."
> This seems to implicitly assume that only TCP or something encapsulated
> over UDP can be used. Even though that might be true, I assume this was
> not intentionally, maybe:
> NEW
> "Data transport: such as TCP or UDP and the means to securely set up
>      connections between entities, as well as the functions for
>      deciding when to send data: Congestion management, bandwidth
>      estimation and so on.”

Fixed via PR:
https://github.com/rtcweb-wg/rtcweb-overview/pull/29

> nit:
> -"massage the signals": not sure if "massage" is actually a meaningful
> word here…

manipulate might be a better word.  Fixed via PR:
https://github.com/rtcweb-wg/rtcweb-overview/pull/31

spt